/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2007 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id$
 * -------------------------------------------------------------------------
 */

package org.objectweb.petals.binding.xmpp;

import java.util.HashMap;
import java.util.Map;

/**
 * This class is used to store all su root paths
 * 
 * @author mcarpentier - EBM Websourcing
 *
 */
public class XmppComponentContext {
    
    /**
     * The map of SU root paths. Key is the user JID (without the resource).
     */
    private Map<String, String> suRootPaths;

    public Map<String, String> getSuRootPaths() {
        return this.suRootPaths;
    }

    public void setSuRootPaths(final Map<String, String> suRootPaths) {
        this.suRootPaths = suRootPaths;
    }
    
    public void addSuRootPath(final String jid,final String path) {
        if (this.suRootPaths == null) {
            this.suRootPaths = new HashMap<String, String>();
        }
        this.suRootPaths.put(jid, path);
    }

}
