/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2007 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id$
 * -------------------------------------------------------------------------
 */

package org.objectweb.petals.binding.xmpp.listeners;

import org.jivesoftware.smackx.packet.VCard;
import org.objectweb.petals.component.framework.util.StringHelper;

/**
 * This descriptor handles user information
 * @author mcarpentier - EBM Websourcing
 */
public class SessionUser {

    /**
     * Used to log in to the xmpp server
     */
    private String username;

    /**
     * Used to log in to the xmpp server
     */
    private String password;

    /**
     * Used to log in to the xmpp server
     */
    private String id;

    /**
     * default user to send messages to
     */
    private String defaultDestination;

    /**
     * Resource of the user's connection
     */
    private String resource;

    /**
     * xmpp visit card
     */
    private VCard vCard;

    /**
     * constructor
     */
    public SessionUser() {
        super();
    }

    public final VCard getVCard() {
        return this.vCard;
    }

    public final void setVCard(final VCard card) {
        this.vCard = card;
    }

    public final String getPassword() {
        return this.password;
    }

    public final void setPassword(final String password) {
        this.password = password;
    }

    public final String getUsername() {
        return this.username;
    }

    public final void setUsername(final String username) {
        this.username = username;
    }

    public final String getResource() {
        return this.resource;
    }

    public final String getDefaultDestination() {
        return this.defaultDestination;
    }

    public final void setDefaultDestination(final String defaultDestination) {
        this.defaultDestination = defaultDestination;
    }

    public final void setResource(final String resource) {
        this.resource = resource;
    }

    /**
     * @return the user's id+resource
     */
    @Override
    public final String toString() {
        String result = "";
        if (!(StringHelper.isNullOrEmpty(this.id))) {
            String tmpResource = "";
            if (!(StringHelper.isNullOrEmpty("resource"))) {
                tmpResource = "/" + this.resource;
            }
            result = this.id + tmpResource;
        }
        return result;
    }

    /**
     * @return the user's id
     */
    public final String getid() {
        return this.id;
    }

    /**
     * @param idd the id to set
     */
    public final void setid(final String idd) {
        this.id = idd;
    }

}
