/**
 * Copyright (C) 2006 Jive Software. All rights reserved.
 *
 * This software is published under the terms of the GNU Lesser Public License (LGPL),
 * a copy of which is included in this distribution.
 */

package org.objectweb.petals.binding.xmpp.util;

import org.jivesoftware.smack.packet.PacketExtension;

public class JabberAvatarExtension implements PacketExtension {
    private String photoHash;

    public void setPhotoHash(final String hash) {
        this.photoHash = hash;
    }

    public String getElementName() {
        return "x";
    }

    public String getNamespace() {
        return "jabber:x:avatar";
    }

    public String toXML() {
        StringBuffer buf = new StringBuffer();
        buf.append("<").append(this.getElementName()).append(" xmlns=\"").append(this.getNamespace()).append("\">");
        buf.append("<hash>");
        buf.append(this.photoHash);
        buf.append("</hash>");
        buf.append("</").append(this.getElementName()).append(">");
        return buf.toString();
    }
}
